Bug 615650 - /usr/lib/libzita-convolver.so.2.0.0 requires text relocation (selinux warning)
Summary: /usr/lib/libzita-convolver.so.2.0.0 requires text relocation (selinux warning)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zita-convolver
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-17 18:55 UTC by Fernando Lopez-Lezcano
Modified: 2010-08-05 23:55 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-05 23:29:56 UTC


Attachments (Terms of Use)

Description Fernando Lopez-Lezcano 2010-07-17 18:55:37 UTC
Description of problem:
SELinux is preventing /usr/bin/jconvolver from loading
/usr/lib/libzita-convolver.so.2.0.0 which requires text relocation.

Version-Release number of selected component (if applicable):
zita-convolver

How reproducible:
always

Steps to Reproduce:
1. start jconvolver
  
Actual results:
selinux warning

Expected results:
no warnings

Additional info:
In the Makefile for zita-convolver CPPFLAGS is defined but not used in the g++ command, so this line in the spec file:

sed -i 's|-O3|%{optflags}|' libs/Makefile

has no effect (it would have added -fPIC). 
Doing this instead:

sed -i 's|LDFLAGS +=|LDFLAGS += %{optflags}|' libs/Makefile

builds a package with no selinux problems.

Comment 1 Orcan Ogetbil 2010-07-17 22:00:04 UTC
Hi. Here is the build log for F-12 x86_64:
   http://kojipkgs.fedoraproject.org/packages/zita-convolver/2.0.0/1.fc12/data/logs/x86_64/build.log

The %{optflags} are actually there for x86_64. But on i686 build log:
    http://kojipkgs.fedoraproject.org/packages/zita-convolver/2.0.0/1.fc12/data/logs/i686/build.log

the %[optflags] are missing. That's probably why I missed this. I'll fix it tonight.

Comment 2 Fedora Update System 2010-07-18 03:24:04 UTC
zita-convolver-2.0.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zita-convolver-2.0.0-2.fc13

Comment 3 Fedora Update System 2010-07-18 03:24:55 UTC
zita-convolver-2.0.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zita-convolver-2.0.0-2.fc12

Comment 4 Fedora Update System 2010-08-05 23:29:51 UTC
zita-convolver-2.0.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-08-05 23:55:19 UTC
zita-convolver-2.0.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.